2008-06-09  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (Runner): (Really) Let JAVA be overwritten by an
	environment variable.  Disable demangler and addr2line.

2008-06-07  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (Runner): Specify absolute path to shared
	libraries.

2008-05-29  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (Runner): Add frysk-sys directory; let JAVA
	interpreter be overridden.
	* TestRunner.java-in: Don't load libraries from here.

2008-05-27  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (noinst_DATA): Add TestRunner.jar.
	* Makefile.rules (TestRunner.jar): New target.
	(JniRunner, Runner): New.
	* TestRunner.java-in: Call Runtime.load().

2008-05-22  Andrew Cagney  <cagney@redhat.com>

	* frysk-common.ac (--with-libopcodes): Delete.

2008-05-17  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (jnixx_sources): Fix path to sources.

2008-05-15  Tim Moore  <timoore@redhat.com>

	* Makefile.rules (AM_CXXFLAGS): Add elfutils/{libasm,libebl}.

2008-05-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Match jnixx/*.cxx.
	
	* Makefile.gen.sh (jnixx_sources): Rename frysk.jnixx to jnixx.
	Only install jni.hxx.gch if the compile worked.

2008-05-13  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (JNIXX_CLASSES): Define.
	(jni.hxx, jni.cxx): Use.  Depend on input java files.
	
2008-05-12  Rick Moseley  <rmoseley@redhat.com>

	* version.in: Update to version 0.3.

2008-05-09  Andrew Cagney  <cagney@redhat.com>

	* (jni.hxx, jni.cxx): Pass the entire jar to jnixx.

	* Makefile.gen.sh (jni.cxx, jni.hxx): Pass header name to jnixx.
	(jni.o): Explicitly specify dependencies.

2008-05-07  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (JNIXX_CLASSES): Generate list of classes.
	(jni.hxx, jni.cxx, jni.hxx.gch): Generate JNIXX file rules.
	(JNIXX_BUILT): Delete.
	* Makefile.rules (JNIXX): Delete.
	(%-jni.hxx, %-jni.cxx): Delete.

	* Makefile.gen.sh (generate_jni_header, generate_jni_dependency):
	Delete; do not generate JAVAH headers.
	
	* Makefile.gen.sh (jnixx_sources): Replace ordering dependency of
	jnixx generated files before jnixx objects, with hard dependency
	based on includes.

2008-05-06  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (generate_jnixx_sources): Delete.
	(files.jnixx): New; eliminate duplicate jnixx files.
	(jni): Depend on ${GEN_DIRNAME}.jar.

2008-05-02  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (generate_jnixx_sources): Order build so that
	all JNIXX files are generated before any are compiled.
	
	* Makefile.rules (root_srcdir, abs_root_srcdir): Define.
	* Makefile.gen.sh (generate_jnixx_sources): Depend on all jnixx
	java files.

	* Makefile.rules (JNIXX): Update; frysk.jnixx.jnixx refactored,
	main in frysk.jnixx.Main.

	* Makefile.rules (JNIXX): Update; frysk.jni renamed to
	frysk.jnixx.

2008-04-30  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (generate_jnixx_sources): New.
	* Makefile.rules (JNIXX): New.
	(%-jni.hxx: %.java): New.
	(%-jni.cxx: %.java): New.

2008-04-18  Mark Wielaard  <mwielaard@redhat.com>

	* Makefile.rules ($(GEN_SOURCENAME)/JUnitTests.java):
	Only exclude classes that are exactly named TestLib, TestCase or
	TestBed.

2008-04-17  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (generate_jni_dependency): Only generate
	dependency when file included.
	
	* Makefile.gen.sh (generate_jni_header): Remove stray "s.

2008-04-16  Andrew Cagney  <cagney@redhat.com>

	* TestRunner.java-in: Change @abs_srcdir@ to @root_srcdir@; needed
	by source code tests.

	* Makefile.gen.sh (generate_jni_header): Write output to a tmp
	file first.

	* Makefile.rules (SUBST): Match -in input file name, not output
	file name when selecting action.

2008-04-15  Andrew Cagney  <cagney@redhat.com>

	* TestRunner.java-in: Use PrefixFactory.

2008-04-15  Mark Wielaard  <mwielaard@redhat.com>

	* Makefile.gen.sh (has_java_main): Make regexp more strict.

2008-04-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (echo_arch32_PROGRAMS): Run the compiler
	directly; to avoid .deps stuff.

	* Makefile.rules (SUBST): For .c and .cxx, add a #line directive
	pointing to the original file.
	
	* Makefile.rules (SUBST_SED): Substitute @host_cpu@.
	* frysk-common.ac: Add AC_CANONICAL_HOST.

2008-04-13  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Generate compile rules for .{c,S,cxx}-{in,sh}.

2008-04-11  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.java.h): Get the .class files from the .jar.

	* Makefile.gen.sh (files.base): Handle .S when breaking down file
	names.
	
	* Makefile.gen.sh (solib_PROGRAMS): Fix typo; Use GEN_DIRNAME not
	GEN_MAKENAME.
	
	* Makefile.rules (SUBST_SED): Substitute GEN_DIRNAME.
	* Makefile.gen.sh (solib_PROGRAMS): Add lib${GEN_MAKENAME}-jni.so.

	* Makefile.gen.sh: Re-include non-cni/jni .cxx et.al.  lost by
	below.
	
	* Makefile.gen.sh (automake_variable_defined): New.
	(automake_variable): Use.
	(has_generated_java_source): New.
	(has_java_source): New; use has_generated_java_source.
	(sources): Pass to automake_variable.
	(generate_compile): New; replace .cxx pass.
	
	* Makefile.rules (JAVAH_CNI_BUILT): Replace JAVAH_BUILT.
	* Makefile.gen.sh (generate_cni_header): New.
	(generate_jni_header): New.
	(automake_variable): Replace set_variable.

	* frysk.xml-in: Include version.

2008-04-08  Andrew Cagney  <cagney@redhat.com>

	* javadocs.sh: Extract from ../Makefile.am.

2008-04-04  Andrew Cagney  <cagney@redhat.com>

	* manpages.sh: Don't apply SUBST.
	(refpurposegrep): Change to a function.
	* frysk.xml-in: Rename frysk.xml.
	* Makefile.rules (SUFFIXES): Add .xml-in.
	(.xml-in.xml): New.
	(.xml.1): New.
	(.xml.7): New.
	(.xml.8): New.
	* Makefile.gen.sh (.xml-in): Replace .xml.

2008-04-04  Mark Wielaard  <mwielaard@redhat.com>
	    Petr Machata <pmachata@redhat.com>

	* frysk.xml: Split refpurpose tag over multiple lines.
	* manpages.sh (refpurposegrep): New.
	(suffix): Use refpurposegrep.

2008-04-03  Mark Wielaard  <mwielaard@redhat.com>

	* manpages.sh: Catch bad refpurpose tags.

2008-04-03  Andrew Cagney  <cagney@redhat.com>

	* version.in: Bump to 0.2.50.

2008-04-02  Andrew Cagney  <cagney@redhat.com>

	* manpages.sh: Recognize ENTITY volumes.

	* Makefile.gen.sh (.xml): Recognize ENTITY volumes and names.

2008-03-31  Andrew Cagney  <cagney@redhat.com>

	* manpages.sh: Handle @abs_root_srcdir@.

2008-03-18  Andrew Cagney  <cagney@redhat.com>

	* frysk-common.ac (--enable-jar-compile): Default to yes.

2008-03-14  Andrew Cagney  <cagney@redhat.com>

	* manpages.sh: New.
	* frysk.xml: New.

2008-03-03  Andrew Cagney  <cagney@redhat.com>

	* TestRunner.java-in: Use frysk.config.

2008-02-08  Andrew Cagney  <cagney@redhat.com>

	* mkenum.sh (compareTo(Object)): Fix ordering.

2008-01-21  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (SUFFIXES): Fix typos. cxx-sh to .cxx-sh, ..c-in
	to .c-in, ..java-in to .java-in.

2008-01-17  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.jar): Sort the .class file list.

2008-01-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (distclean-cvsignored): Add dependency on
	GEN_CLASSPATH.

2007-12-28  Andrew Cagney  <cagney@redhat.com>

	* TestRunner.java-in: Pass native, 32- and 64-bit configs to
	Runner.

2007-12-07  Andrew Cagney  <cagney@redhat.com>

	* mkenum.sh (map): Construct the String to Enum table using the
	enum's name, not string.

2007-12-06  Andrew Cagney  <cagney@redhat.com>

	* frysk-common.ac (--enable-jar-compile): When JAVAC is GCJ,
	default to on.

	* frysk-common.ac (GCJFLAGS): Add -fsource=1.4 when applicable.
	
	* frysk-common.ac (JAVACFLAGS): For GCJ, re-add -g -classpath lost
	in previous commit.
	
	* frysk-common.ac (GCJ_FSOURCE): Delete.
	(AC_LANG(JAVA)): Replace AC_LANG(GCJ).
	(JAVA_IS): Re-implement using AC_COMPILE_IFELSE.
	(GCJ_WALL): Default to adding -Wall.
	* Makefile.rules (.java.h): Use JAVAC.

2007-12-06  Andrew Cagney  <cagney@frysk32.hsv.redhat.com>

	* frysk-common.ac (JAVAC): Pass -1.4 to ECJ compiler.

2007-12-06  Andrew Cagney  <cagney@redhat.com>

	* frysk-common.ac (JAVAC): Set to either GCJ or $ECJ_JAR.
	(ECJ): Delete variable.
	(--enable-jar-compile): Use "yes" and "no", not "true" and "false.
	(JAVAC_IS): New variable; either gcj or ecj.
	(HAVE_ECJ): Delete.
	* Makefile.rules (checked-ecj-compile): Delete.
	(.g.antlred): Use $(JAVAC) and $(JAVAC_IS)

2007-11-27  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (GEN_GCJ_SO_DIRS): Fix typo, match -L%.
	(GEN_GCC_BUILDTREE_RPATHS): Delete.

2007-11-26  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (GEN_GCJ_SO_FLAGS): Delete.
	(GEN_GCJ_SO_DIRS): Generate from GEN_GCJ_LDADD_LIST.
	(GEN_GCJ_BUILDTREE_RPATHS): Simplify.
	* Makefile.gen.sh (echo_LDFLAGS): Only set LDADD.
	
	* Makefile.rules (GEN_GCC_BUILDTREE_RPATHS): Move to near use.
	* Makefile.gen.sh (echo_LDFLAGS): Dependant on JAR_COMPILE, set
	LDFLAGS or LDADD to list of libraries to link against.

	* Makefile.gen.sh (.cxx): Fix typo, do not conditionally add .cxx
	files to sources.
	* Makefile.rules (.jar.o): Remove  -fjni option.

	* Makefile.gen.sh (sources): When JAR_COMPILE, add .jar, instead
	of .java files, to ${sources}.
	* frysk-common.ac (--enable-jar-compile): New option.
	(JAR_COMPILE): New AM_CONDITIONAL variable.

	* Makefile.rules (JAVAROOT): Rename GEN_CLASSDIR.

	* Makefile.gen.sh (--jni): New option.

2007-11-23  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.java-sh.java): Add mkdir -p.
	(.cxx-sh.cxx): Ditto.
	(.c-sh.c): Ditto.
	(.shenum.java): Ditto.
	(.mkenum.java): Ditto.

2007-11-22  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.g.antlred): Fix typo disabling ECJ.
	
	* Makefile.rules (.g.antlred): Compile each file separatly.
	* antlr-warnings.awk: Recognize the error "An empty declaration".

2007-11-15  Andrew Cagney  <cagney@redhat.com>

	* antlr-warnings.awk: Delete references to ExprAST.

2007-11-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.g.antlred): Rename .g.antlered; use a tmp
	directory named according to the target.
	(javah-built): Delete.
	(ANTLR): Define.
	* Makefile.gen.sh: Rename .antlered to .antlred.  Include
	*TokenTypes.txt in list of generated files.

	* Makefile.rules (built-sources): New.
	($(SCRIPT_BUILT)): New.
	($(JAVAH_BUILT)): New.
	($(ANTLR_BUILT)): New.
	* Makefile.gen.sh (SCRIPT_BUILT): New.
	(JAVAH_BUILT): New.

2007-11-13  Jose Flavio Aguilar Paulino <jflavio@br.ibm.com>

	* Makefile.rules: Add to CXX includes the directory
	frysk-imports/libunwind-ppc32/include

2007-10-31  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (nodist_lib_sources): Delete.
	(nodist_TestRunner_SOURCES): Delete.
	(dist_prefix): Delete.

	* Makefile.gen.sh (.c-in, .cxx-in, .c-sh, .cxx-sh): Add base .c or
	.cxx file to ...SOURCES and not the original source.  Drop use of
	automake's nodist_

2007-10-30 Stan Cox <scox@redhat.com>

	* Makefile.rules (JUnitTests.java): Also trim blddir.

2007-10-30  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (.cxx-in, .cxx-sh, .c-in, .c-sh): Do not add to
	sources line.
	
	* Makefile.gen.sh (has_main): Handle .c-in, .cxx-in, .c-sh, and
	.cxx-sh files.

	* TestRunner.java-in: Rename TestRunner.javain.
	* Makefile.rules (.java-sh, .c-sh, .cxx-sh, .java-in, .cxx-in,
	.c-in): New rules.
	(.mkjava, MKJAVA): Delete.
	* Makefile.gen.sh: Replace .shjava, .javain, and .cxxin with -sh
	and -in rules.  Delete .mkjava rules.
	
2007-10-30 Stan Cox <scox@redhat.com>

	* Makefile.rules (JUnitTests.java): Trim by using srcdir.

2007-10-29 Stan Cox <scox@redhat.com>

	* Makefile.rules (JUnitTests.java): Use files-java.list.

2007-10-12  Mark Wielaard  <mwielaard@redhat.com>

	* m4/frysk-use-libunwind.m4: Check for and transform powerpc target
	to ppc32.

2007-10-03  Mark Wielaard  <mwielaard@redhat.com>

	* frysk-common.ac: Define CHECK_LIBUNWIND, ARCH_X86, ARCH_X86_64,
	ARCH_PPC32, ARCH_PPC64.

2007-10-05  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules: (GEN_GCJ_BUILDTREE_RPATH): Rename GEN_GCJ_RPATH.
	(GEN_GCJ_BUILDTREE_RPATH_FLAGS): Rename GEN_GCJ_RPATH_FLAGS.
	(GEN_GCC_BUILDTREE_RPATHS): Rename GEN_GCC_RPATHS.
	(GEN_${GEN_UBASENAME}_RPATH_FLAGS): Define.
	* Makefile.gen.sh: Update.
	(GEN_${GEN_UBASENAME}_RPATH_FLAGS): Delete.
	
2007-09-28  Andrew Cagney  <cagney@redhat.com>

	* mkenum.sh (equals): Return false when null.
	
	* mkenum.sh: Extend java.lang.Number.
	(intValue()): New.
	(longValue()): New.
	(doubleValue()): New.
	(floatValue()): New.
	(equals(Object)): Simplify; use intValue.

2007-09-27  Sami Wagiaalla  <swagiaal@redhat.com>

	* Makefile.gen.sh: Removed unused file matching  patern for
	.cpp.

2007-09-26  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.shjava.java): Do not pass through MKJAVA.

2007-09-26  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* Makefile.gen.sh: Removed .cpp from the file list.
	Added missing \ (fixes ./common/Makefile.gen.sh: line 
	123: -o: command not found).
	
2007-09-26  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* Makefile.gen.sh: Reversed the -cni filter (all files
	are included by default and removed of the flag is not
	specified).

2007-09-26  Sami Wagiaalla  <swagiaal@redhat.com>

	* Makefile.rules: Removed AM_LDFLAGS += -lstdc++.
	* Makefile.gen.sh: Removed .cpp to the list of types to be
	included in the file list.
	Removed .cpp from list of files to be checked for main.
	Added .cxx to the file list.

2007-09-25  Stan Cox  <scox@redhat.com>

	* antlr-warnings.awk: Handle ExprAST warnings.
	* Makefile.gen.sh (.g): Tweak conditional dependency handling.

2007-09-24  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (.g): Remove conditional dependency of generated
	file on .sed file.

2007-09-21  Sami Wagiaalla  <swagiaal@toner.toronto.redhat.com>

	* Makefile.rules : Added AM_LDFLAGS += -lstdc++.

2007-09-20 Sami Wagiaalla <swagiaal@redhat.com>

	* Makefile.gen.sh: Now executbales are generated
	from .cpp files containing a main function.

2007-09-19  Sami Wagiaalla  <swagiaal@redhat.com>

	* Makefile.gen.sh (TestRunner_LDADD): Added .cpp to the list
	of types to be included in the the file-list.

2007-09-17  Stan Cox  <scox@redhat.com>

	* Makefile.rules (.g.antlered): Use common antlr.tmp to accommodate
	multiple related .g files.
	* Makefile.gen.sh (.g): Add dependencies for related generated files.

2007-08-24  Mark Wielaard  <mwielaard@redhat.com>

	* Makefile.rules: Change GEN_GCJ_LDADD to GEN_GCJ_LDADD_LIST.
	* Makefile.gen.sh: Likewise.

2007-08-23  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (fryski, gij.sh): Delete targets.

2007-08-16  Andrew Cagney  <cagney@redhat.com>

	* frysk-common.ac (WITH_LIBOPCODES): Add --with-libopcodes.

2007-08-13  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.g.antlered): Assume unfixable problems are real
	errors and install files anyway.

2007-07-19  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (.S, .s): For arch32, add hardwired dependency
	on frysk-imports/include-frysk-asm.h.
	(has_main): Recognize 'FUNCTION_BEGIN(main' as marker for a main
	program.

	* Makefile.gen.sh (.S, .s): Hardwire dependency on
	frysk-imports/include/frysk-asm.h.

2007-07-17  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (checked-for-slash-proc): New target.
	
	* Makefile.rules (AM_CXXFLAGS): Add frysk-imports/include/.
	
	* Makefile.rules (files-java.list): Use full path to files.list in
	test.
	
	* Makefile.rules (files-java.list): When files.list is empty,
	create an empty file.

	* Makefile.rules (checked-ecj-compile): Only run ECJ when there is
	something to compile.
	
	* Makefile.rules (checked-for-dejagnu): Delete.

	* Makefile.rules (checked-for-java-util-hashtable)
	(checked-for-java-util-vector, checked-for-pkglibdir-in-manpage)
	(checked-for-copyright-notice, checked-for-eclipse-residue)
	(checked-for-at-author, checked-for-null-equals)
	(checked-for-import-junit-framework, checked-ecj-compile)
	(checked-for-parameterless-junit-fail): When GEN_DIRS is
	non-empty, depend on $(GEN_DIRNAME).jar.  Pass -r to xargs.

2007-07-16  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (TestRunner_LDADD): Pass -r to xargs.
	(files.list): Prune ".".

2007-07-13  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (BUILT_SOURCES): Add headers included into
	included .hxx files.

2007-07-04  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.java.h): Remove generated .h file before
	running GCJH.  Work around 4741.

2007-06-26  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (EXTRA_DIST): Delete.
	* Makefile.rules (EXTRA_DIST): Delete.

2007-06-19  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.g.antlered): Pass -f to "mv".
	
	* Makefile.rules (EXTRA_DIST): Add common/antlr-warnings.awk.

2007-06-19  Nurdin Premji  <npremji@redhat.com>

	* Makefile.rules (AM_CXXFLAGS): Updated libunwind build directories

2007-06-18  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (files.list): Add ChangeLog files.
	(EXTRA_DIST): Add ChangeLog files.

	* Makefile.rules (.java.h): Uncomment removal of $$tmpdir.

2007-06-17  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.java.h): Only generate .h files for the target
	and its non-anonymous inner classes.

2007-06-12  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.g.antlered): New implicit rule.
	(SUFFIXES): Add .antlered and .g.
	(CLEANDIRS): Define.  Add ecj, and $(GEN_CLASSDIR).
	(clean-classes-dir): Delete.
	(clean-local): Remove CLEANDIRS.
	(checked-ecj-compile): Remove special-case code for handling
	generated files.
	* Makefile.gen.sh (ANTLR_BUILT, CLEANDIRS): Make generated antlr
	files depend on a common .antlered file.  Do not generate antlr
	commands.  Include scratch directories in CLEANDIRS.

	* Makefile.rules (CLEANDIRS): Define, add ecj and $(GEN_CLASSDIR).
	(clean-classes-dir): Delete.	
	(clean-ecj-dir): Delete.
	(clean-local-dirs): New target.

	* Makefile.rules (antlr-warnings-go-away): Delete.
	* antlr-warnings.awk: For stray semicolons, generate SED to
	comment them out instead of remove them.  Fix base to handle a
	file without a path.  Write fixes to a .antlr-fixes file.
	
2007-06-11  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (antlr-warnings-go-away): Echo compile line.
	* antlr-warnings.awk: For ECJ accept both WARNING and ERROR.

	* antlr-warnings.awk: Parse ECJ warnings with line-number on
	message line.
	
	* Makefile.rules (antlr-warnings-go-away): When HAVE_ECJ, run ECJ
	directly to compile the java files.
	* antlr-warnings.awk: Add parser for ECJ style warnings.
	
	* antlr-warnings.awk: Comment out unused theRetToken.
	
	* antlr-warnings.awk: New file.
	* Makefile.rules (ANTLR_BUILT): Initialize.
	(antlr-warnings-go-away): New phony target.
	* Makefile.gen.sh (ANTLR_BUILT): Generate list of .java files
	built using antlr.

2007-06-09  Mike Cvet  <mcvet@redhat.com>

	* Makefile.rules (AM_CFLAGS): Build with -fasynchronous-unwind-tables.

2007-06-07  Andrew Cagney  <cagney@redhat.com>

	* frysk-common.ac (JAVAFLAGS, GCJFLAGS): Fix typo, replace
	-Wsemicolon with -Wextraneous-semicolon.

	* frysk-common.ac (JAVAFLAGS, GCJFLAGS): For -Wall, when a new
	compiler add -Wsemicolon.

2007-06-05  Andrew Cagney  <cagney@redhat.com>

	* frysk-common.ac (GCJFLAGS, JAVACFLAGS): Clean up -Wall and
	-fsource=1.4 checks.  Do not pass -Wall to a compiler that accepts
	-fsource=1.4.  Conditionally add -fsource=1.4 to GCJFLAGS.

2007-05-31  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (echo_LDFLAGS): Simplify by always passing the
	class to --main.

2007-04-13  Kris Van Hees  <kris.van.hees@oracle.com>

	* Makefile.rules (fryski): Put the building of fryski under
	conditional control depending on whether the build is generating
	GCOV data or not.  Fryski does not link when code is compiled
	with --coverage.
	* frysk-common.ac: Use the newly defined FRYSK_COVERAGE defined
	in...
	* m4/frysk_coverage.m4: Provide an --enable-coverage option to
	configure to enable GCOV data creation during the build.  This
	supports the use of gcov and other tools to calculate coverage
	metrics on Frysk.

2007-04-04  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules ($(GEN_SOURCENAME)/JUnitTests.java): Exclude
	TestBed code.  Require "Test" or "Stress" at start of the file's
	name.

2007-03-28  Mark Wielaard  <mark@klomp.org>

	Suggested by Thomas Girard (thomas.g.girard@free.fr)
	* Makefile.gen.sh (print_jar_rule): cp to $1.jar.

2007-03-26  Mark Wielaard  <mark@klomp.org>

	* m4/frysk_werror.m4: Make CFLAGS depend on old value, not on
	old $GCJFLAGS value.

2007-03-12  Kris Van Hees  <kris.van.hees@oracle.com>

	* frysk-common.ac: Add AC_ARG_VAR([GCJFLAGS], ...) to register GCJFLAGS
	as a variable to save when specified in the environment.  Do not change
	CFLAGS, CXXFLAGS and/or GCJFLAGS if it was set in the environment.  The
	developer can therefore override configure's choices manually from the
	commandline.
	* m4/frysk_werror.m4: Don't touch CFLAGS, CXXFLAGS and/or GCJFLAGS if
	it was set in the environment.

2007-03-12  Mark Wielaard  <mark@klomp.org>

	* frysk-common.ac (JAVACFLAGS): See if -Wall is available.
	* Makefile.rules (files-java.list): Detect -Werror in flags and act
	accordingly.

2007-03-09  Andrew Cagney  <cagney@redhat.com>

	* m4/frysk_werror.m4: Delete setting of USE_WERROR macro.
	* Makefile.rules (.java.o): Remove USE_WERROR. Rewrite rule to
	detect -Werror in flags and act accordingly.  When build fails due
	to warning, remove target object file.

2007-03-08  Kris Van Hees  <kris.van.hees@oracle.com>

	* frysk-common.ac (GCJFLAGS, CFLAGS, CXXFLAGS): Remove -Werror, added
	FRYSK_WERROR defined ...
	* m4/frysk_werror.m4: ... here, adding --disable-werror option
	* Makefile.rules: .java.o compilation rule hack (for gcj -Werror)
	placed under USE_WERROR conditional control

2007-03-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (AM_GCJFLAGS, AM_CXXFLAGS, AM_CFLAGS): Move -Wall
	-Werror from here ...
	* frysk-common.ac (GCJFLAGS, CFLAGS, CXXFLAGS): ... to here.

2007-03-06  Mark Wielaard  <mark@klomp.org>

	* Makefile.rules (.java.h): Echo class and header file only once.

2007-03-02  Mark Wielaard  <mark@klomp.org>

	* Makefile.rules: Define FRYSK_ASCOMPILE and use instead of
	CCASCOMPILE.
	* Makefile.gen.sh (echo_arch32_PROGRAMS): Use FRYSK_ASCOMPILE.

2007-03-02  Mark Wielaard  <mark@klomp.org>

	* Makefile.rules (fryski_LINK): Add fryski_LDFLAGS.
	* Makefile.gen.sh (SOURCES): Add name_LDFLAGS to name_LINK rules.

2007-03-01  Mark Wielaard  <mark@klomp.org>

	* frysk-common.ac: Set GCJHFLAGS depending on program used to -cni
	or nothing.
	* Makefile.rules (.java.h): Use -o to specify output directory and
	file name.

2007-02-21  Mark Wielaard  <mark@klomp.org>

	* frysk-common.ac (AC_CHECK_PROGS): Try gjavah also.
	* Makefile.rules (.java.h): Don't use jv-scan, compile and use
	generated classes found by find and sed.

2007-02-21  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (has_java_main): New function.
	(has_main): Use.

	* Makefile.rules ($(GEN_SOURCENAME)/JUnitTests.java): Simplify,
	remove check for a main program in the test file.

	* frysk-common.ac (JV_SCAN): Default to "no".
	(HAVE_JV_SCAN): Set using AM_CONDITIONAL.
	* Makefile.rules (.java.o): Wrap use of JV_SCAN in HAVE_JV_SCAN.

2007-02-16  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (ARCH32_COMPILE, ARCH32_CCASCOMPILE)
	(ARCH32_LINK, ARCH32_CXXLINK, ARCH32_CXXCOMPILE): Define.
	* Makefile.gen.sh (echo_arch32_COMPILER): Delete.
	(echo_arch32_PROGRAMS: Simplify.  Always set _LINK, use ARCH32_
	variables.

	* frysk-common.ac: Add call to FRYSK_DO_ARCH32_TEST.

2007-02-16  Mark Wielaard  <mark@klomp.org>

	* frysk-common.ac (HAVE_ECJ): Only enable when gcj doesn't support
	-fsource=1.4.

2007-02-15  Nurdin Premji  <npremji@redhat.com>

	* Makefile.rules (SUFFIXES.mkenum): Fixed typo so enums get built.

2007-02-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (files-java.list): Add JUnitTests.java.
	($(GEN_SOURCENAME)/Build.java): Delete rule.
	(checked-ecj-compile): Convert GEN_SOURCEPATH into a list of jar
	files and pass that.
	(CLEANFILES): Add files-java-gen.list

	* Makefile.rules (GEN_CLASSPATH, GEN_SOURCEPATH): Add
	descriptions.
	(checked-ecj-compile): Simplify, clarify that no generated files
	are checked.
	
2007-02-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.DEFAULT): Provide a default rule that ignores
	missing files.

2007-02-14  Stepan Kasal  <skasal@redhat.com>

	* m4/frysk_pkg_module_variable.m4: Improve woring.

2007-02-12  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (files.list): Limit assembly files to just *dir/
	and cni/ directories.
	(.S, .s): Merge handling with .cxx.
	(echo_arch32_PROGRAMS): Handle .S and .cxx differences locally.
	
2007-02-07  Stan Cox  <scox@redhat.com>

	* Makefile.rules (checked-ecj-compile): Build *.class files for
	generated *.java with nowarn.

2007-02-06  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (checked-for-java-util-hashtable): New rule, do
	not enable.

2007-02-06  Stepan Kasal  <skasal@redhat.com>

	* Makefile.gen.sh (_DATA): Use "dist_${dir}_DATA" or
	"nodist_${dir}_DATA" as needed.
	(set_variable): New function.

2007-02-06  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (AM_CCASFLAGS): Define.

2007-02-06  Stepan Kasal  <skasal@redhat.com>

	* Makefile.gen.sh (files.list): Do include "*.desktop" and
	"*.properties" in the list again.

	* Makefile.gen.sh (files.list): Do not include "*.properties" files
	in the list, we do not handle it.

2007-02-05  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (files.list): Include .gif files.
	* Makefile.rules (imagesdir): Define.
	(SUBST_SED): Set imagesdir, not imagedir.

	* TestRunner.javain: Create 32-on-64 and default build
	frysk.Config.  Pass to testRunner.

	* TestRunner.javain: Pass "/frysk/bindir" to testRunner.

2007-02-05  Stepan Kasal  <skasal@redhat.com>

	* Makefile.gen.sh (files.list): Do not include "*.desktop" files
	in the list, we do not handle it.

	* Makefile.gen.sh (_DATA): Change all "${dir}_DATA" to
	"dist_${dir}_DATA".

2007-01-26  Mark Wielaard  <mark@klomp.org>

	* common/frysk-common.ac (AC_LANG(JAVA)): Add to make autoconf
	tests possible.
	(JAVACFLAGS): See if -fsource=1.4 is available.

2007-01-23  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (echo_PROGRAMS, has_main): For .javain files,
	assume it has a main and not installed.

2007-01-23  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.rules: Made helpdir available to FryskHelpManager.java.

2007-01-23  Mark Wielaard  <mark@klomp.org>

	* Makefile.rules (checked-for-java-util-vector): Remove whitespace
	following trailing backslash.

2007-01-22  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (checked-for-java-util-vector): New rule.
	
	* Makefile.rules (SUBST_SED): Substitute pkglib64dir.
	(pkglib64dir): Define.
	(checked-for-pkglibdir-in-manpage): New rule.
	* frysk-common.ac (lib64dir): Perform AC_SUBST.

2007-01-19  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (files.list): Do not include .gladep files.
	
	* Makefile.rules (helpfiguresdir): Delete.
	* Makefile.gen.sh (_DATA): Automatically generate rules to
	initialize sub-directory variabels such as helpfiguresdir.
	
	* Makefile.rules (gladedir, helpdir, helpfiguresdir): Define.
	(pkgdata_DATA): Delete.
	* Makefile.gen.sh: Implement a generic _DATA rule, that also
	copies sub-directories.
	(files.list): Add .glade, .gladep and .png
	files.
	(glade_DATA, doc_DATA, docimage_DATA, test_DATA): Delete code
	generating custom rules.

2007-01-19  Mark Wielaard  <mark@klomp.org>

	* TestRunner.javain (main): Glade files moved from frysk/gui/glade
	to /frysk/gui/gladedir.

2007-01-18  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.gen.sh: Added logic for online documentation to 
	be copied to the proper location when a "make install" is done.

2007-01-15  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (Build.javain): Delete generation of variables
	containing Build.javain.
	* Build.javain: Delete.
	* Makefile.rules (Build.java): Delete rule.

	* Build.javain (BUILD_ARCH): Delete.
	
	* Build.javain (ABS_SRCDIR): Delete.

	* Build.javain (SRCDIR): Delete.

2007-01-10  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (.uu, .bz2.uu): Fix previous commit, only
	unpacked .uu files.

	* Makefile.gen.sh (.uu, .bz2.uu): Add to files.list, generate
	rules to unpack and add to _DATA variable.

2007-01-09  Jan Kratochvil  <jan.kratochvil@redhat.com>

	* frysk-common.ac: Call AC_SYS_LARGEFILE to get in sync all the ABIs.

2007-01-08  Andrew Cagney  <cagney@redhat.com>

	* TestRunner.javain: Change glade and image paths to specify the
	ABS_SRCDIR.

	* Makefile.rules (files-java.list): Add back .*enum files.

	* Makefile.rules (files-java.list): Make dependant on and us
	files.list.

	* Makefile.gen.sh: Allow .javain to have a main method.  Merge
	.java, and .javain source generation code.

2007-01-07  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (pkgdata_PROGRAMS): Define.

	* TestRunner.javain: Pass glade, and image directories to
	runTestCases.

2007-01-04  Andrew Cagney  <cagney@redhat.com>

	* Build.javain (ABS_BUILDDIR, BUILDDIR): Delete.

	* Makefile.rules (SUBST_SED): Substitute abs_root_srcdir, and
	root_srcdir.
	* TestRunner.javain: Replace Build.ABS_BUILDDIR with direct
	reference to @abs_builddir@.

2006-12-21  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.cxxin.cxx): New rule.
	* Makefile.gen.sh: Add support for .cxxin.  Check .cxxin files for
	headers.

2006-12-19  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (SUBST): For .sh and .py files, chmod +x.
	(pkglib_SCRIPTS, sbin_SCRIPTS, bin_SCRIPTS): Define.
	* Makefile.gen.sh (files.list): Add .sh and .py files, convert
	using SUBST, add to corresponding SCRIPTS list.

2006-12-18  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: For man page rule, create the dest directory.

	* Makefile.gen.sh (files.list): Include .xml files.  Add code to
	generate .xml to .man using files.list as input.
	(check_MANS): Rename echo_MANS.  Simplify.

2006-12-18  Stepan Kasal  <skasal@redhat.com>

	* m4/frysk_do_arch32_test.m4 (--disable-arch32-tests): New
	option to skip building arch32 tests.
	* frysk-common.ac: Do not call FRYSK_DO_ARCH32_TEST.
	* Makefile.gen.sh: Do not use "if DO_ARCH32_TEST" for
	variables which can appear in packages without arch32 tests.
	(arch32_cflags_output): Removed, it was modified only in
	subshells, which was confusing.
	(arch32_cflag_name, arch32_as_cflag_name): Add comment.

2006-12-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (JUnitTests.java): Filter out TestCase, not
	JUnit.

2006-12-14  Stepan Kasal  <skasal@redhat.com>

	* frysk-common.ac (lib32dir): Fix the code for case when
	${libdir} matches *64*, so that it matches the comment.

2006-12-13  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (pkglibdir): Fix typo, really define as
	$(lib32dir)/@PACKAGE@.

	* Makefile.gen.sh (GEN_ARGS): Set to "$@".

	* frysk-common.ac: Set lib32dir.
	* Makefile.rules (pkglib32dir): Define as $(lib32dir)/@PACKAGE@.

	* Makefile.gen.sh (${dir}32_programs): Rename
	${dir}_arch32_programs,
	* Makefile.rules (pkglib32dir): Rename pkglib_arch32dir.
	(pkglib32): Rename pkglib_arch.
	(SUBST_SED): Update references.
	
	* Makefile.rules (SUBST_SED): Substitute pkglib32dir, instead of
	pkglib_arch32dir.

2006-12-12  Stepan Kasal  <skasal@redhat.com>

	* common/Makefile.rules: Remove the support for libexecdir
	programs; it's not compatible with multilib.
	* common/Makefile.gen.sh: Do not mention libexecdir in the
	help; mention pkglibdir instead.

2006-12-11  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (checked-for-eclipse-residue): Exit when fail.
	(checked-for-dejagnu): Ditto.

	* Makefile.rules (EXTRA_DIST): Add files.list.
	
	* Makefile.rules (SUBST_SED): Do not substitute pkglibexecdir, and
	pkglibexec_arch32dir.  Substitute pkglib_arch32dir.
	* Makefile.gen.sh: Replace pkglibexecdir with pkglibdir in rules
	for arch32 built files.  Simplify.

2006-12-10  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules ($(GEN_SOURCENAME)/JUnitTests.java): Depend on
	files.list, which is only modified when the list of files changes.
	Re-implement using files.list.
	
	* TestRunner.javain: Replace pkglibexecdir with pkglibdir.
	* Makefile.rules (pkglib_PROGRAMS): Define.
	(pkglibexecdir, pkglibexecdir, pkglibdir): Define.
	(pkglibexec_PROGRAMS, pkglibexecdir): Delete.
	(pkglibexecdir, pkglibexecdir): Delete.

2006-12-09  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (checked-ecj-compile): Rename files.list to
	files-java.list.

2006-12-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Add --cni flag, generate files.list
	conditionally containing .cxx files, use to generate Makefile.gen.

	* Makefile.gen.sh: Sort test files.

	* Makefile.gen.sh: Sort the list of .glade and .cpp files.

	* Makefile.gen.sh: Sort the list of .fig files.

2006-12-06  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (checked-for-at-author): Enable.
	
	* Makefile.rules (checked-for-at-author): Add missing ";".

	* Makefile.rules (checked-for-at-author): Enforce during check.
	
	* Makefile.rules (checked-for-at-author): Enable.

	* Makefile.rules (checked-for-null-equals): Enforce.
	(checked-for-at-author): Enforce, but disable.  Check this user.
	(checked-for-copyright-notice): Fix fail check.

	* Makefile.rules (checked-for-import-junit-framework): Rename
	checked-import-junit-framework, make silent.
	(checked-for-parameterless-junit-fail): Rename
	checked-for-parameterless-junit-fail, make silent.
	(checked-for-import-junit-framework)
	(checked-for-parameterless-junit-fail, checked-for-null-equals)
	(checked-for-eclipse-residue, checked-for-copyright-notice): Clean
	up PASS / FAIL message.
	(checked-for-at-author): New.

	* Makefile.rules (checked-for-null-equals)
	(checked-for-eclipse-residue, checked-for-copyright-notice): New
	rules, added to check-local.
	(checked-import-junit-framework)
	(checked-parameterless-junit-fail, checked-for-dejagnu): Make
	phony.

2006-11-28  Stan Cox  <scox@redhat.com>

	* Makefile.rules (clean-for-dejagnu): New.

2006-11-23  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (checked-glade-xml, checked-glade-xml)
	(GLADE_DT_FILE): Move to frysk-gui/Makefile.am.

2006-11-20  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (checked-parameterless-junit-fail): New target;
	check for fail with no parameters; add to check-local.
	(checked-import-junit-framework): Add to check-local.

2006-11-14  Stepan Kasal  <skasal@redhat.com>

	* Makefile.rules (EXTRA_DIST): Put the `$(srcdir)/' prefix back.

2006-11-14  Stepan Kasal  <skasal@redhat.com>

	* acinclude.m4: The file name is confusing, as it is special for
	aclocal; rename it to ...
	* frysk-common.ac: ... this.
	* Makefile.rules (EXTRA_DIST): Remove common/*.m4, there are no
	longer any; remove the `$(srcdir)/' prefix from the other ones.

2006-11-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (checked-import-junit-framework): Print brief
	reason message; make robust against -e.

	* Makefile.rules (checked-import-junit-framework): New.
	(checked-glade-xml): Rename glade.check.
	(checked-ecj-compile): Rename ecj/check.

2006-11-06  Andrew Cagney  <cagney@redhat.com>

	* TestRunner.javain: Assign exit status to local variable.  Call
	Runner.runTestCases.

	* TestRunner.javain: Pass "TestRunner" to Runner constructor.

2006-11-02  Nurdin Premji <npremji@redhat.com>

	* Makefile.gen.sh (has_main): Use jv-scan to find java files with
	main functions rather than grep.

2006-10-23  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (echo_MANS): Make bindir require man pages.

2006-10-12  Andrew Cagney  <cagney@redhat.com>

	* TestRunner.javain (main): 32- and 64-bit code moved to
	frysk.junit.Runner, update.

2006-10-11  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (pkgdata_DATA): Set to empty.

	* TestRunner.javain: Set Paths.setPrefixes, including the
	pkgdatadir.

2006-09-25  Yong Zheng  <zhengyo@cn.ibm.com>

	* acinclude.m4: Call FRYSK_DO_ARCH32_TEST. 
	* Makefile.gen.sh: (echo_arch32_PROGRAMS): Output of 
	rules for bi-arch test.
	(echo_arch32_COMPILER): Output of COMPILE for arch32.
	* Makefile.rules (pkglibexec_arch32_PROGRAMS, 
	pkglibexec_arch32dir): Define. 
	* TestRunner.javain: Refactor to suport arch32 test.
	* m4/frysk_do_arch32_test.m4: New file, defines 
	FRYSK_DO_ARCH32_TEST.

2006-09-19  Yong Zheng  <zhengyo@cn.ibm.com>

	* Makefile.gen.sh: Add rules generation for assembly programs.

2006-09-11  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (SUBST): Handle .py files.  For .sh and .py add
	#! magic.

2006-08-29  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (TESTS): Exclude TestCase.java from possible
	list of tests.
	* Makefile.rules ($(GEN_SOURCENAME)/JUnitTests.java): Ditto.

2006-08-29  Wu Zhou  <woodzltc@cn.ibm.com>

	* m4/frysk-use-libunwind.m4: Turn on linking in of linunwind for
	target powerpc64.

2006-08-23  Alexandre Oliva  <aoliva@redhat.com>

	* Makefile.rules (.shjava.java, .shenum.java): Support
	multi-word CC.

2006-08-03  Stan Cox  <scox@redhat.com>

	* Makefile.rules (HAVE_ECJ): Add prune_ecj.

2006-07-31  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.rules (SUBST_SED): Added target_cpu to the list of items
	to be substituted.
	* Build.javain (BUILD_ARCH): Added.

2006-07-25  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.rules (AM_CXX_FLAGS): Added path to frysk-imports so that
	we can use classes from the elf/dw wrapper in CNI code.

2006-07-11  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.gen.sh: Remove link gcj first variable.
	* Makefile.rules: Ditto.

2006-07-11  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.rules (AM_CXXFLAGS): Changed paths of elfutils
	headers to include '../frysk-imports' and added source and
	build tree libunwind include directories.

2006-07-10  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.gen.sh: Add link gcj first variable.
	* Makefile.rules: Ditto.
	* m4/frysk-use-libunwind.m4: Turn on linking in of linunwind.

2006-07-06  Mark Wielaard  <mark@klomp.org>

	* Makefile.gen.sh: Add -H to grep invocation.
	
2006-06-30  Rick Moseley  <rmoseley@redhat.com>
	
	* m4/frysk-use-libunwind.m4: Disable libunwind for now.

2006-06-30  Stepan Kasal  <kasal@ucw.cz>

	* m4/frysk-use-libunwind.m4: New file, defines FRYSK_USE_LIBUNWIND.
	* acinclude.m4: Call it.

2006-06-22  Rick Moseley  <rmoseley@redhat.com>
	
	* acinclude.m4: Check for uudecode instead of gmime-uudecode.

2006-06-22  Stepan Kasal  <kasal@ucw.cz>

	* Makefile.rules (files.list): Fix the placement of the sort command.

2006-06-16  Phil Muldoon  <pmuldoon@redhat.com>

	* Makefile.rules: Added noinst_SCRIPTS	declare.

2006-06-15  Nurdin Premji  <npremji@redhat.com>

	* Makefile.rules (AM_CFLAGS): Added frysk-imports include files.

2006-06-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (SUBST): Fix addition of "Generated from ..."
	message so that it is correctly commented.

2006-06-06  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.rules: Added GEN_GCC_RPATHS to pick up libdw.so.1.

2006-05-29  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.rules: Added frysk-imports/elfutils/libdwfl to import path.

2006-05-24  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.rules: Added frysk-imports/elfutils/libdw for compiling.

2006-05-22  Rick Moseley  <rmoseley@redhat.com>

	* acinclude.m4: Added check for gmime-uudecode program.

2006-05-17  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.rules: Added elfutils/libelf for g++ compiling.

2006-05-12  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Exclude files generated from common/ from list
	of source java files.

	* Makefile.gen.sh: Filter out any file names that do not start
	with an alphabetic character.

	* Makefile.rules (MOSTLYCLEANFILES): Add core.[1-9]*.
	
	* Makefile.rules (files.list): Remove dependency on
	lib${GEN_DIRNAME}.a.
	(.javain.java): Remove dependency on Makefile.
	($(GEN_SOURCENAME)/Build.java): Ditto.
	(TestRunner.java): Ditto.
	($(GEN_SOURCENAME)/JUnitTests.java): Ditto.
	(ecj/checked): Add $(GEN_DIRNAME).jar.

2006-05-09  Stan Cox  <scox@redhat.com>

	* Makefile.rules (files.list): Sort the list.

2006-05-09  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.java.h): Delete tmpdir.

2006-05-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (EXTRA_DIST): Replace autogen.sh with
	bootstrap.sh.

2006-05-04  Andrew Cagney  <cagney@redhat.com>

	* mkenum.sh: Import.  Better handle ranges.  Make names more
	consistent.

2006-04-27  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (autogen): Run autogen.sh from build tree.

2006-04-24  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (glade.catalog): New rule.
	(glade.checked): Point SGML_CATALOG_FILES at glade.catalog, add
	--nonet and --catalogs parameters.
	(GLADE_DTD_FILE): Define.
	* acinclude.m4 (lib): Check for XMLLINT.

2006-04-15  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (.fig.jpg): Append .jpg files to CLEANFILES, and
	noinst_DATA.
	* Makefile.rules (BUILT_SOURCES): Do not append $(GEN_FIG) files.
	(noinst_DATA): Define.
	
	* Makefile.gen.sh (BUILT_SOURCES): Instead of adding
	nodist_lib_sources, explicitly add generated .java files.

2006-04-13  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (.cxx=.h): For generated header files included
	by .cxx files, output explicit list of dependencies.  Do not
	include generated header files in BUILT_SOURCES.

	* Makefile.rules (.java.h): Check $(GCJCOMPILE) exit status.

2006-04-12  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (ecj/checked): Use GIJ to run ECJ via it's
	ECJ_JAR file.

2006-03-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (JUnitTests.java): Include Stress files in list.

2006-03-09  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Make .java files generated from .mkenum and
	.shenum dependant on $(MKENUM).  Allow .h files to be generated
	from .mkjava, .shjava, .mkenum, and .shenum files.
	* mkenum.sh: Import; adds valueOf.
	
	* Makefile.gen.sh (TestRunner_LDADD): Handle .mkenum, and .shenum
	files.
	* mkenum.sh: Import.
	* Makefile.rules (MKENUM): Define.
	(.mkenum.java, .shenum.java): New rules.

2006-02-10  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (echo_LDFLAGS): Append $(GEN_GCJ_NO_SIGCHLD_FLAGS).
	(echo_name_): New function.
	(echo_LDFLAGS): Use.
	(echo_MANS): Check if man page is needed.
	(echo_PROGRAMS): Move call to echo_MANS out of echo_PROGRAMS.
	(GEN_UBASENAME): Rename GEN_BASEUNAME).
	* Makefile.rules (GEN_GCJ_NO_SIGCHLD_FLAGS): Define.

2006-02-10  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.rules: Fixed broken build.

	* Makefile.rules: Fixed complaints from automake about all-local
	appearing multiple times.

	* Makefile.rules: Added seperate line to add glade.checked to
	all-local.

	* Makefile.rules: Added glade.checked target to run xmllint on the
	glade files and check for references to the gnome libraries.

2006-02-09  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (GEN_BASEUNAME): Define
	(GEN_${GEN_BASEUNAME}_RPATH_FLAGS): Define.
	(echo_LDFLAGS): Append to each programs LDFLAGS.

2006-02-08  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules: Add more comments explaining local clean and
	build rules.

2006-02-06  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (GEN_DIRS): Don't add pkglibexecdir, and bindir.
	* Makefile.rules (clean-local-po): Limit to just GEN_DIRS.

	* Makefile.gen.sh: Add generated .h files to BUILT_SOURCES, not
	nodist_lib_sources.  Add both the generated .h file, and a
	wildcard match for any nested classes, to CLEANFILES.
	(nodist_lib_sources): Rename nodist_sources.

	* Makefile.rules (clean-ecj-dir, clean-classes-dir): New.  Delete
	ecj, and classes directories.  Add to clean-local.
	* Makefile.gen.sh (CLEANFILES): Add generated man pages,
	TestRunner.java, and ${GEN_DIRNAME}.jar.

2006-02-05  Andrew Cagney  <cagney@redhat.com>

	* TestRunner.javain: Set Paths.setExecPrefix to
	frysk/pkglibexecdir/ in the build tree.
	* Makefile.gen.sh (name_): Use sed's y to transliterate
	characters, convert <<->> to <<_>>.
	(echo_MANS): Do not require .xml file.
	
	* Makefile.gen.sh (echo_PROGRAMS): Simplify, for *dir paths,
	extract the directory prefix from the path.
	(echo_LDFLAGS): For *dir paths, specify just the file name as the
	class.
	(.java): Do not add main program to the directory's solib sources.
	
	* Makefile.rules (.java.o): Check and reject duplicate classes --
	avoids a GCJ bug.

	* TestRunner.javain: Rewrite; use frysk.JUnitRunner found in
	frysk-imports/frysk/JUnitRunner.java.
	* Makefile.rules (JUnitTests.java): Replace static array of
	classes with a get method returning a LinkedList.
	(pkglibexec_PROGRAMS, pkglibexecdir): Define.
	(SUBST_SED): Define.   Extract from SUBST, add pkglibexecdir.
	(SUBST): Use SUBST_SED.
	* Makefile.gen.sh (echo_MANS): Push .xml input through SUBST_SED.
	(echo_PROGRAMS): Handle libexecdir.

2006-02-02  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (man_MANS): Initialize.
	* Makefile.gen.sh (echo_LDFLAGS): Simplify.
	(man_MANS): Generate rules for building man pages from .xml.
	* acinclude.m4: Check for <<xmlto>>.

2006-02-01  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Add glade, images, desktop, icons, property,
	and sampe files to EXTRA_DIST.

2006-01-30  Andrew Cagney  <cagney@redhat.com>

	* acinclude.m4 (PKG_CONFIG_PATH): Delete /opt/frysk/${lib}.

	* TestRunner.javain (get): Add -c|--console option.  When
	specified, add a console logger set to log at specified level.
	
	* Makefile.rules (distclean-cvsignored): Fix typo, $@.log, not
	$*.log.

	* TestRunner.javain: Import frysk.EventLogger.

	* Makefile.gen.sh (noinst_PROGRAMS): Add TestRunner so that it is
	always built.

	* TestRunner.javain: Fix typo, Optioni -> Option.
	
	* TestRunner.javain: Implement options using jargs, new option
	names are --level and --repeat.

2006-01-28  Andrew Cagney  <cagney@redhat.com>

	* acinclude.m4: General cleanup.
	(JAVAC, JAVA): Always set to GCJ, and JAVA.
	(ECJ_JAVA, ECJ, HAVE_ECJ): Define.
	* Makefile.gen.sh: Delete code generating rules for
	$(GEN_CLASSDIR)/files, ${GEN_DIRNAME}.jar.
	* Makefile.rules (JAVAC, JAVACFLAGS): Delete.
	(files.list, ${GEN_DIRNAME}.jar, ecj/checked): Moved to here from
	Makefile.gen.sh.
	(all-local): Add ecj/checked, when HAVE_ECJ.

2006-01-27  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (EXTRA_DIST): Remove common/JUnitTests.javain.

	* Makefile.rules (EXTRA_DIST): Delete *.javain.
	* Makefile.gen.sh (GEN_MAKENAME): Define, replace <<_dir>>.
	(GEN_NODIST, GEN_SOURCES): Replace with <<sources>> and
	<<nodist_sources>>.
	(BUILT_SOURCES): Add <<nodist_sources>>.

	* Makefile.gen.sh: Mark the generated Built.java, JUnitTests.java,
	and TestRunner.java as NODIST.

	* Makefile.rules (EXTRA_DIST): Add *.javain.

2006-01-26  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (AM_CFLAGS): Define.  Specify -fPIC.

2006-01-25  Andrew Cagney  <cagney@redhat.com>

	* TestRunner.sh: Delete.
	* TestRunner.javain: New file, based on TestRunner.sh.
	* Build.javain: New file, based on frysk/Config.javain.
	* Makefile.gen.sh (GEN_DIRS, GEN_GENDIRNAME, GEN_PACKAGENAME)
	(GEN_SOURCENAME, GEN_BASENAME): Define.
	(GEN_JUNIT_TESTS): Do not generate.
	* Makefile.rules (SUBST): Define.
	(.javain.java): Use $(SUBST).
	(TestRunner.java): Use $(SUBST).
	($(GEN_SOURCENAME)/Build.java): New.
	($(GEN_SOURCENAME)/JUnitTests.java): New.
	(TestRunner_SOURCES, TestRunner_LINK, TestRunner_LDFLAGS)
	(TestRunner_LDADD): Delete, moved to Makefile.gen.sh.

2006-01-21  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (clean-local-po): Update, EXCEPTION moved to
	common/.
	* EXCEPTION: Replace per-module exception files.

2006-01-20  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.java.o): Modify automake's rule to fail if gcc
	produces any output.

2006-01-19  Rick Moseley  <rmoseley@redhat.com>

	* Fix so %{prefix} is used for frysk.desktop and
	   fryskTrayIcon48.png so installation is done properly.

2006-01-18  Rick Moseley  <rmoseley@redhat.com>

	* Makefile.gen.sh: added install logic for the
	   frysk.desktop and fryskTrayIcon files.

2006-01-16  Rick Moseley  <rmoseley@redhat.com>
	
	* Makefile.gen.sh: added 48 dir for images.

2006-01-14  Diego Novillo  <dnovillo@redhat.com>

	* acinclude.m4: Use lib64 if appropriate.

2005-12-15  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.gen.sh (find_images): Added.

	* Makefile.gen.sh: Changed find commands to use -path with -name 
	instead of -wholename, since that predicate doesn't exist on RHEL4.

2005-12-14  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.gen.sh: Added more complex targets for images that
	preserve the tree structure of the images directory.
	
2005-12-13  Andrew Cagney  <cagney@redhat.com>

	* m4/ac_find_file.m4: Fix escaping, [${$3}], not $$1.

	* version.in: Change version schema to MAJOR MINOR PATCHLEVEL YYYY
	MM DD, roll patch level to 1 -> 0.0.1.2005.12.13.

	* Makefile.am (EXTRA_DIST): For files in common, include
	$(srcdir).  Ensures that wild cards match the correct files.

2005-12-12  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (.java): Skip .java files when there is a
	corresponding .g or .sed file.

2005-12-10  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (MKJAVA): Use $(JV_SCAN).
	* acinclude.m4 (JV_SCAN): Check for jv-scan.

	* m4/frysk_pkg_module_variable.m4: Delete hack to work around
	broken pkg-config information.

2005-12-09  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (EXTRA_DIST): Add common/ChangeLog, common/*.m4,
	common/*.sh, and common/m4/*.m4.

	* acinclude.m4: Delete checks for gtk+-2.0, gtk2-java, glade-java,
	glib-java, and vte-java.

	* m4/frysk_pkg_module_variable.m4: New file.

2005-12-08  Andrew Cagney  <cagney@redhat.com>

	* acinclude.m4: Add checks for gtk2-java, glade-java, glib-java,
	vte-java, and gtk+-2.0.  Moved from frysk-gui, and frysk-imports
	configure.ac.

	* m4/frysk_find_jar.m4: New file.

	* m4/ac_find_file.m4: Only do search if variable not already set.

	* Makefile.rules (.a.so): Fix --soname parameter, strip out any
	directory prefix.
	
	* Makefile.rules (EXTRA_DIST): Add common/m4/ac_find_file.m4, and
	common/m4/ac_get_lib_line.m4.

2005-12-05  Stan Cox  <scox@redhat.com>

	* TestRunner.sh: Remove -log option. Add -level option.

2005-12-02  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (EXTRA_DIST): Add common/version.in and
	autogen.sh.

2005-11-30  Andrew Cagney  <cagney@redhat.com>

	* acinclude.m4 (JAVACFLAGS): Handle JAVAC that contains an
	absolute path.

2005-11-29  Andrew Cagney  <cagney@redhat.com>

	* acinclude.m4 (AC_CHECK_PROGS([JAVAC]): Check for javac last..

2005-11-28  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.shjava.java): Add CC to the environment.

	* acinclude.m4 (AC_CHECK_PROGS([JAVA]): Add.
	(AC_CHECK_PROGS([GIJ]): Add.
	
	* Makefile.gen.sh (.db): Use $(GCJ_DBTOOL).

	* acinclude.m4 (AC_CHECK_PROGS([GCJ_DBTOOL]): Check for
	gcj-dbtool4, not gcj4-dbtool.

	* acinclude.m4 (AC_CHECK_PROGS([JAR]): Check for fastjar first.

2005-11-28  Adam Jocksch  <ajocksch@redhat.com>

	* acinclude.m4 (JAVACFLAGS): Now sets -classpath and -sourcepath for
	ecj.

2005-11-28  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Do not define GEN_BUILT_H, GEN_BUILT_MKJAVA and
	GEN_BUILT_SHJAVA.
	* Makefile.rules: Delete references to GEN_BUILT_MKJAVA and
	SHJAVA_BUILT.

	* Makefile.gen.sh (GEN_NODIST): Define.
	(.g): For .g files generate BUILT_SOURCES, GEN_NODIST, CLEANFILES,
	and rule.
	
	* Makefile.gen.sh (.fig): Add .fig files to EXTRA_DIST.

	* acinclude.m4 (AC_PROG_CXX, AC_PROG_CC): Provide explict list.
	(AC_CHECK_PROGS([GCJ])): Add, hacks around AM_PROG_GCJ breakage.
	(AC_CHECK_PROGS([JAR]), AC_CHECK_PROGS([GCJH]),
	AC_CHECK_PROGS([GCJ_DBTOOL])): Add.
	* Makefile.rules (GCJH): Delete definition; defined by
	acinclude.m4.
	(.jar.db): Replace gcj-dbtool with $(GCJ_DBTOOL).
	

2005-11-26  Andrew Cagney  <cagney@redhat.com>

	* acinclude.m4 (JAVACFLAGS): For gcj, use -classpath not
	-sourcepath.

2005-11-25  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh ($(dir).jar): Use $(JAR).

	* acinclude.m4 (JAVAC): Default to GCJ.
	(JAR): Check for jar/fastjar.

	* Makefile.gen.sh: When making .jar targets in sub-directories, do
	not specify name of .jar file.

2005-11-22  Stan Cox  <scox@redhat.com>

	* TestRunner.sh: Add -log option.

2005-11-22  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (distclean-cvsignored): New target; delete
	anything listed in .cvsignore.
	
	* Makefile.rules (.javain.java): Set VERSION.

	* version.ac: New file.  Move version.in logic to here.

	* version.in: New file, moved from top-level.

2005-11-21  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.java.classes): Delete rule.
	* Makefile.gen.sh: Do not generate .classes.o dependency.  Do not
	add a .java file to GEN_SOURCES when there is a .javain.

	* Makefile.gen.sh ($(GEN_CLASSDIR)/files): Only add files starting
	with a letter.

	* Makefile.gen.sh ($(GEN_CLASSDIR)/files): Ignore '*#*' files.

2005-11-16  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (gij.sh): Append any existing CLASSPATH value to
	the frysk CLASSPATH.
	(GEN_GCJ_RPATHS): Strip out trailing <</./>>.

2005-11-16  Igor Foox  <ifoox@redhat.com>

	* Makefile.gen.sh: Added an empty lib${_dir}_so_SOURCES to supress the build
	from looking for lib${dir}.c. Added an empty libfrysk_$1_so_SOURCES to
	supress the build from looking a .c file for every .so.

2005-11-15  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (fryski): New program.
	(gij.sh): Re-implement.
	(GEN_GCJ_SO_FLAGS, GEN_GCJ_SO_DIRS): New, list of -L/-l flags.
	(GEN_GCJ_RPATHS, GEN_GCJ_RPATH_FLAGS): Use.

	* Makefile.gen.sh ($(GEN_CLASSDIR)/files): Filter out duplicate
	directories.
	
	* Makefile.rules (solib_PROGRAMS): Rename solib_DATA.
	* Makefile.gen.sh: Ditto.

2005-11-14  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Handle libexecdir/.
	* Makefile.rules (GEN_GCJ_RPATHS): Define.  Fix expansion
	resulting in % in GEN_GCJ_RPATH.
	(libexec_PROGRAMS, sbin_PROGRAMS): Define.

	* Makefile.gen.sh: Add TestRunner.sh to classes/files.
	
	* Makefile.rules (javadir, java_DATA): Define.
	* Makefile.gen.sh: Add ${dir}.jar to java_DATA, delete
	${_dir}_jar_SOURCES.

	* Makefile.rules (LIBJUNIT): Delete.
	(GEN_CLASSPATH): Do not add junit.jar.

	* Makefile.gen.sh: Add frysk- prefix to any .a or .so libraries.
	* Makefile.rules (GEN_CLASSPATH, LIBJUNIT): Update.

	* Makefile.rules (.java.h): Change $ to $$ in shell command.

	* Makefile.gen.sh: Append -Djava.library.path=..., and
	-Wl,-rpath,... to each program's LDFLAGS.  Add all .so's to
	solib_DATA so that they are installed.
	* Makefile.rules (GEN_GCJ_RPATH, GEN_GCJ_RPATH_FLAGS): Define.
	(BUILD_GCJ_RPATH): Define.
	(TestRunner_LDFLAGS): Add $(GEN_GCJ_RPATH_FLAGS).

2005-11-13  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (GEN_BUILT_CLASSES): Delete.
	* Makefile.gen.sh: Rewrite .java -> .class .jar rule to comile
	everything at once.

2005-11-12  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.java.h): Replace .classes.h rule.

2005-11-07  Andrew Cagney  <cagney@redhat.com>

	* TestRunner.sh: Add a -<repeat> option.

2005-11-02  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.gen.sh: Added rule to copy over test .cpp files after a 
	make install.

2005-11-02  Igor Foox  <ifoox@redhat.com>

	 * m4/ac_get_lib_line.m4, m4/ac_find_file.m4: Add copyright statement.

2005-11-01  Igor Foox  <ifoox@redhat.com>

	* acinclude.m4: Fixed ordering of macro calls.

	* Makefile.rules: Added ACLOCAL_AMFLAGS = -I common/m4 to include local
	macros. 
	* m4: New directory.
	* m4/ac_get_lib_line.m4: New file.
	* m4/ac_find_file.m4: New file.

2005-10-31  Andrew Cagney  <cagney@redhat.com>

	* TestRunner.sh: Print PASS when a test does not FAIL or ERROR.

	* Makefile.rules: Fix typo, $(FIG2DEV) not $FIG2DEV.

2005-10-31  Igor Foox  <ifoox@redhat.com>

	* acinclude.m4: Added a check for fig2dev.
	* Makefile.rules: Changed all references to fig2dev to $FIG2DEV.

2005-10-26  Igor Foox  <ifoox@redhat.com>

	* Makefile.rules: Added EXCEPTION to the EXTRA_DIST target to distribute
	this file in every of the main 4 frysk subdirectories (sys, gui, common,
	imports).

2005-10-25  Igor Foox  <ifoox@redhat.com>

	* Makefile.rules (clean-local-po): Fix clean to delete all .Po files.
	
2005-10-22  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (AM_CXXFLAGS): Fix -I argument, $(top_builddir),
	not $(top_buildir).

2005-10-18  Igor Foox  <ifoox@redhat.com>

	* Makefile.rules: Added TestRunner.sh to EXTRA_DIST.
	* Makefile.gen.sh: Added .hxx to .c and .cxx suffixes so that .hxx files are
	now also distributed. Removed line in jar_print function that generated
	automake warnings.

2005-10-14  Igor Foox  <ifoox@redhat.com>

	* Makefile.rules: Added an EXTRA_DIST variable and set it to hold
	Makefile.gen.sh, and mkjava.sh, as these are needed in the distributed
	tar.gz.

2005-10-12  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.rules: Changed @propertydir@ to @pkgdatadir@.
	Added substitutions for pkglibdir and pkgincludedir.

2005-10-12  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.gen.sh: Added rule to copy over .properties files after
	make install.

	* Makefile.rules: Added substitution for @propertydir@.

2005-10-12  Igor Foox  <ifoox@redhat.com>

	* Makefile.gen.sh, Makefile.rules: Added xxx_SOURCES targets to ensure
	that automake will not automatically infere an xxx.c dependency for
	an xxx.db or xxx.jar file (also gij.sh).

2005-10-12  Adam Jocksch  <ajocksch@redhat.com>

	* Makefile.gen.sh: Added frysk/gui/images to the files that will be
	copied over during 'make install'.

	* Makefile.rules: Added substitution for @imagedir@ to add IMAGEDIR
	constant to frysk-core/frysk/Config.javain

2005-10-11  Andrew Cagney  <cagney@redhat.com>

	* TestRunner.sh: Add .printProblem to print the Throwable in short
	form.  Call from .addError, and .addFailure.  Delete the
	.printDefects stub so that the stack is printed at the end of the
	run.

2005-10-08  Andrew Cagney  <cagney@redhat.com>

	* TestRunner.sh: Add class Results, extends ResultPrinter.  Use
	Results to print each failure as soon as it occures.

2005-10-03  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (GEN_ARGS): Define.
	(GEN_JARS): Set to expanded list of jar files, make
	GEN_BUILT_CLASSES dependant on GEN_JARS.
	* Makefile.rules (Makefile.gen): Pass GEN_ARGS to Makefile.gen.sh.

2005-09-30  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.javain.java): Substitue abs_builddir,
	abs_srcdir, bindir, libdir, and libexecdir.

2005-09-22  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (JAVACFLAGS), acinclude.m4 (JAVACFLAGS): Only add
	-warn:+semicolon when ECJ.

	* Makefile.gen.sh: Update, install files from bindir/ into bin/,
	and sbindir/ into sbin/.

2005-09-21  Andrew Cagney  <cagney@redhat.com>

	* mkjava.sh: Generate a toPrintString method that takes a default
	value.
	* Makefile.rules ($(GEN_BUILT_MKJAVA)): Depend on $(MKJAVA).

2005-09-19  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.javain.java): Set builddir and srcdir.

2005-09-16  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Generate GEN_FIG.
	* Makefile.rules: Add rules to build .jpg, .pdf, .eps, .gif and
	.txt files from a .fig file.

2005-09-13  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh (JARS): Add sub-directory .jar files to
	BUILT_SOURCES; add rule to recursively build sub directory .jar
	files.

2005-09-12  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (solib_DATA, solibdir): Define.

2005-09-11  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules: Wrap the @ in @prefix@ in [] so that configure
	doesn't substitute it.
	
	* Makefile.rules, Makefile.gen.sh: Generate rules for .javain
	files.
	
	* Makefile.gen.sh: Generate glade_DATA, and gladedir variables.

	* COPYING, EXCEPTION: New files; copyright of all files updated.

	* Makefile.gen.sh: Install any programs found below a bin/ or
	sbin/ directory.

	* Makefile.rules, Makefile.gen.sh: Append GCJ libraries to
	GEN_GCJ_LDADD instead of LDADD.  Link java programs against
	GEN_GCJ_LDADD.

	* Makefile.rules (AM_CXXFLAGS): Remove include/ directory.

2005-09-10  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Add the *_JAR files to BUILT_SOURCES.

	* Makefile.rules (.java.classes): Fail when JAVAC has tty output.

2005-09-09  Andrew Cagney  <cagney@redhat.com>

	* acinclude.m4: Delete check for valid GCJ, always valid.

	* acinclude.m4: New file.

	* Makefile.rules (JAVAC): Set to @JAVAC@, remove -1.4 from
	JAVACFLAGS.

	* Makefile.gen.sh: For an _JAR macro, generate .jar rules.  Expand
	usage.

2005-09-01  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Do not set CLEANFILES.
	* Makefile.rules (CLEANFILES): Add $(GEN_BUILT_CLASSES).
	(clean-local-po): Add clean-local rule to empty the .Po files.

2005-08-31  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh, Makefile.rules: Send stdout direct to
	Makefile.gen.  Generate rules for a directory wide .jar, .so, .a,
	and .db file.  Store classes in GEN_CLASSDIR a.k.a. classes.

2005-08-30  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (TestRunner_LDFLAGS): Add LIBJUNIT.
	(LIBJUNIT): Conditionally define.

2005-08-25  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (gij.sh): Add rule to build GIJ run script.
	Define SOURCEPATH, CLASSPATH, and DBPATH.  Use.
	
	* Makefile.gen.sh: Instead of TestJUnits.java, generate variable
	GEN_JUNIT_TESTS.
	* TestRunner.sh: New file, generate TestRunner.java.
	* Makefile.rules (TestRunner.java): Add rules for building the
	JUnit test runner.
	
2005-08-18  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: For .jar files, use the specified path.
	
	* Makefile.gen.sh (has_main): Make java pattern more robust.

2005-08-17  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Add TestJUnits to GEN_BUILT_CLASSES.

2005-08-15  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.java.classes): Pipe "ls" errors to /dev/null.

2005-08-13  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Generate "main" rules for .java, .cxx, and .c.
	* Makefile.rules (AM_LDFLAGS): Delete.
	
2005-08-12  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.classes.h): Add explicit -I. to GCJH command.

2005-08-11  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.jar.db): Add rule.
	(GCJCOMPILE): Optionally define.
	* Makefile.gen.sh: Allow .jar files as command line parameters,
	generate rules to convert them into .so / shared-libraries.

2005-08-11  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (JUNIT_JAR): Delete rules for building junit,
	moved to frysk-imports/.
	
	* Makefile.rules (.java.classes): Simplify, use `ls' to find the
	list of class files.

2005-08-07  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Fix grep filtering out non-standalone *Test*.

	* Makefile.gen.sh: Simplify, handle each suffix separatly.
	Generate a single TestJUnits.java at the top leve.
	* Makefile.rules: Update to match.
	
	* Makefile.gen.sh: Generate explicit .o.classes dependency so that
	the .o file is built before the .classes.
	* Makefile.rules (JAVAC, JAVACFLAGS, GEN_CLASSPATH,
	GEN_SOURCEPATH): Define, add JUNIT_JAR to classpath.
	(.java.classes): Simplify rule, use JAVAC.
	(.classes.o): Delete rule.
	
2005-08-05  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (SUFFIXES, BUILT_SOURCES, CLEANFILES)
	(noinst_PROGRAMS, bin_PROGRAMS, noinst_LIBRARIES, LDADD)
	(check_SCRIPTS, TESTS, AM_LDFLAGS, AM_GCJFLAGS, AM_CXXFLAGS):
	Provide defaults.

	* Makefile.gen.sh: When JUnit like tests, generate the file
	TestJUnits.java.
	* Makefile.rules (JUNIT_JAR, libjunit.a, junit.o): Add rules to
	build and link against a junit archive.

	* Makefile.gen.sh: Treat TestLib as the test library.

2005-08-01  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Sort the output.

2005-07-30  Andrew Cagney  <cagney@redhat.com>

	* Makefile.rules (.mkjava.java, .shjava.java): Make the generated
	file read-only.

	* Makefile.gen.sh: Add GEN_BUILT_CLASSES to CLEANFILES.

2005-07-26  Andrew Cagney  <cagney@redhat.com>

	* BUILD-SO: New file.

	* Makefile.gen.sh: For .mkjava and .shjava sources, filter out any
	corresponding .java files.

2005-07-21  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Add GEN_DIRS=... to generated output.
	* Makefile.rules ($(srcdir)/Makefile.gen): Pass GEN_DIRS to
	Makefile.gen.sh.
	* Makefile.gen.sh: Fix typo, use $# for argument count.

2005-07-20  Andrew Cagney  <cagney@redhat.com>

	* Makefile.gen.sh: Pass the find directory list in as a parameter,
	always use the directory list.
	
	* Makefile.rules: New file.
	* Makefile.gen.sh: New file.
	* mkjava.sh: New file.

	* README: New file.

Local Variables:
mode: change-log
left-margin: 8
fill-column: 74
version-control: never
End:
